From 0c123ff8957638899e3a1ed074537f4b69c10390 Mon Sep 17 00:00:00 2001
From: Jason Hiser <jdhiser@gmail.com>
Date: Fri, 9 Nov 2018 14:53:56 +0000
Subject: [PATCH] changed to exit with a particular code if build fails instead
 of arbitrary code

---
 build-all.sh | 38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

diff --git a/build-all.sh b/build-all.sh
index 1f50eee94..ffa2e8254 100755
--- a/build-all.sh
+++ b/build-all.sh
@@ -39,7 +39,7 @@ use_strata=0
 if [[ $use_strata = 1 ]]; then
 	# stratafier
 	cd $PEASOUP_UMBRELLA_DIR/stratafier
-	make || exit
+	make || exit 1
 
 	# strata
 	if [ ! "$STRATA_HOME" ]; then 
@@ -60,20 +60,20 @@ if [[ $use_strata = 1 ]]; then
 		fi
 		
 		cd $STRATA_HOME32
-		STRATA_HOME=$STRATA_HOME32 STRATA=$STRATA_HOME32 ./build -host=i386-linux || exit
+		STRATA_HOME=$STRATA_HOME32 STRATA=$STRATA_HOME32 ./build -host=i386-linux || exit 1
 
 		# build x86-64 strata
 		cd $STRATA_HOME
 		if [ -f Makefile -a Makefile -nt configure -a Makefile -nt Makefile.in ]; then
 			echo Skipping Strata reconfigure step
 		else
-			./configure $cfar_mode || exit
+			./configure $cfar_mode || exit 1
 		fi
-		make || exit
+		make || exit 1
 
 	else
 		cd $STRATA_HOME
-		./build $cfar_mode || exit
+		./build $cfar_mode || exit 1
 	fi
 fi
 
@@ -90,56 +90,56 @@ if [ ! "$SECURITY_TRANSFORMS_HOME" ]; then
 fi
 
 cd $SECURITY_TRANSFORMS_HOME
-scons $SCONSDEBUG -j 3 || exit
+scons $SCONSDEBUG -j 3 || exit 1
 
 cd $SMPSA_HOME
-scons $SCONSDEBUG -j 3 || exit
+scons $SCONSDEBUG -j 3 || exit 1
 
 cd $PEASOUP_HOME
-make || exit
+make || exit 1
 
 if [ -d $ZIPR_CALLBACKS ]; then 
 	cd $ZIPR_CALLBACKS
 	./configure --enable-p1 --prefix=$ZIPR_INSTALL
-	make  || exit
-	make install || exit
+	make  || exit 1
+	make install || exit 1
 fi
 
 if [ -d $ZIPR_HOME ]; then
 	cd $ZIPR_HOME
-	scons $SCONSDEBUG -j 3|| exit
+	scons $SCONSDEBUG -j 3|| exit 1
 fi
 
 if [ -d $ZIPR_SCFI_PLUGIN ]; then
 	cd $ZIPR_SCFI_PLUGIN
-	scons  $SCONSDEBUG || exit
+	scons  $SCONSDEBUG || exit 1
 fi
 
 cd $PEASOUP_UMBRELLA_DIR/zipr_large_only_plugin/
-scons $SCONSDEBUG || exit
+scons $SCONSDEBUG || exit 1
 
 if [[ -e $PEASOUP_UMBRELLA_DIR/zipr ]] && [[ -e $PEASOUP_UMBRELLA_DIR/zipr_relax_plugin ]]  ; then
 	cd $PEASOUP_UMBRELLA_DIR/zipr_relax_plugin/
-	scons $SCONSDEBUG || exit
+	scons $SCONSDEBUG || exit 1
 fi
 
 if [[ -e $PEASOUP_UMBRELLA_DIR/zipr ]] && [[ -e $PEASOUP_UMBRELLA_DIR/zipr_trace_plugin ]]  ; then
 	cd $PEASOUP_UMBRELLA_DIR/zipr_trace_plugin/
-	scons $SCONSDEBUG || exit
+	scons $SCONSDEBUG || exit 1
 fi
 
 cd $PEASOUP_UMBRELLA_DIR/zipr_push64_reloc_plugin
-scons $SCONSDEBUG || exit
+scons $SCONSDEBUG || exit 1
 
 cd $PEASOUP_UMBRELLA_DIR/zipr_unpin_plugin
-scons $SCONSDEBUG || exit
+scons $SCONSDEBUG || exit 1
 
 cd $IRDB_TRANSFORMS
-scons $SCONSDEBUG -j 3 || exit
+scons $SCONSDEBUG -j 3 || exit 1
 
 if [[ -d $DAFFY_HOME ]] && [[ $(uname -p) == 'x86_64' ]]; then
 	cd $DAFFY_HOME
-	./setup_cfar.sh
+	./setup_cfar.sh || exit 1
 fi
 
 cd $PEASOUP_UMBRELLA_DIR
-- 
GitLab